﻿Public Class ExcelSheet
    ''' <summary>
    ''' コンストラクタ。新しいExcelブックを構築します
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub New()
    End Sub
    ''' <summary>
    ''' コンストラクタ。既存のファイルを雛型として読み込みます
    ''' </summary>
    ''' <param name="filepath">.xlsxファイル</param>
    ''' <remarks></remarks>
    Public Sub New(ByVal filepath As String)
    End Sub
    ''' <summary>
    ''' 新しいExcelブックとして保存します
    ''' </summary>
    ''' <param name="filepath">保存する.xlsxファイルパス及び名前</param>
    ''' <remarks></remarks>
    Public Sub Save(ByVal filepath As String)
    End Sub
    ''' <summary>
    ''' 一連の処理を終了します
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub Dispose()
    End Sub
    ''' <summary>
    ''' シートを選択します
    ''' </summary>
    ''' <param name="num">シート番号。1から始まる整数</param>
    ''' <remarks></remarks>
    Public Overloads Sub SelectSheet(ByVal num As Integer)
    End Sub
    ''' <summary>
    ''' シートを選択します
    ''' </summary>
    ''' <param name="str">シート名。"Sheet1"など</param>
    ''' <remarks></remarks>
    Public Overloads Sub SelectSheet(ByVal str As String)
    End Sub
    ''' <summary>
    ''' 単一セルに値をセットします
    ''' </summary>
    ''' <param name="column">列</param>
    ''' <param name="row">行</param>
    ''' <param name="num">セットする整数</param>
    ''' <remarks></remarks>
    Public Overloads Sub CellValue(ByVal column As Integer, ByVal row As Integer, ByVal num As Integer)
    End Sub
    ''' <summary>
    ''' 単一セルに値をセットします
    ''' </summary>
    ''' <param name="column">列</param>
    ''' <param name="row">行</param>
    ''' <param name="str">セットする文字列</param>
    ''' <remarks></remarks>
    Public Overloads Sub CellValue(ByVal column As Integer, ByVal row As Integer, ByVal str As String)
    End Sub
    ''' <summary>
    ''' 単一セルに値をセットします
    ''' </summary>
    ''' <param name="column">列</param>
    ''' <param name="row">行</param>
    ''' <param name="num">セットする単精度浮動小数点数</param>
    ''' <remarks></remarks>
    Public Overloads Sub CellValue(ByVal column As Integer, ByVal row As Integer, ByVal num As System.Single)
    End Sub
    ''' <summary>
    ''' セル範囲に値をセットします
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="num">セットする整数</param>
    ''' <remarks></remarks>
    Public Overloads Sub RangeValue(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal num As Integer)
    End Sub
    ''' <summary>
    ''' セル範囲に値をセットします
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="str">セットする文字列</param>
    ''' <remarks></remarks>
    Public Overloads Sub RangeValue(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal str As String)
    End Sub
    ''' <summary>
    ''' セル範囲に値をセットします
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="num">セットする単精度浮動小数点数</param>
    ''' <remarks></remarks>
    Public Overloads Sub RangeValue(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal num As Single)
    End Sub
    ''' <summary>
    ''' 単一セルに書式を設定します
    ''' </summary>
    ''' <param name="column">列</param>
    ''' <param name="row">行</param>
    ''' <param name="format">書式 例) "G/標準" "0.00" "yyyy/mm/dd hh:mm" "@"</param>
    ''' <remarks></remarks>
    Public Sub CellFormat(ByVal column As Integer, ByVal row As Integer, ByVal format As String)
    End Sub
    ''' <summary>
    ''' セル範囲に書式を設定します
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="format">書式 例) "G/標準" "0.00" "yyyy/mm/dd hh:mm" "@"</param>
    ''' <remarks></remarks>
    Public Sub RangeFormat(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal format As String)
    End Sub
    ''' <summary>
    ''' 単一セルに文字色を設定します
    ''' </summary>
    ''' <param name="column">列</param>
    ''' <param name="row">行</param>
    ''' <param name="c">色 System.Drawing.Color</param>
    ''' <remarks></remarks>
    Public Overloads Sub CellForeColor(ByVal column As Integer, ByVal row As Integer, ByVal c As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' 単一セルに文字色を設定します
    ''' </summary>
    ''' <param name="column">列</param>
    ''' <param name="row">行</param>
    ''' <param name="c">色 Integer</param>
    ''' <remarks></remarks>
    Public Overloads Sub CellForeColor(ByVal column As Integer, ByVal row As Integer, ByVal c As Integer)
    End Sub
    ''' <summary>
    ''' セル範囲に文字色を設定します
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="c">色 System.Drawing.Color</param>
    ''' <remarks></remarks>
    Public Overloads Sub RangeForeColor(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal c As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' セル範囲に文字色を設定します
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="c">色 Integer</param>
    ''' <remarks></remarks>
    Public Overloads Sub RangeForeColor(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal c As Integer)
    End Sub
    ''' <summary>
    ''' 単一セルに背景色を設定します
    ''' </summary>
    ''' <param name="column">列</param>
    ''' <param name="row">行</param>
    ''' <param name="c">色 System.Drawing.Color</param>
    ''' <remarks></remarks>
    Public Overloads Sub CellBackColor(ByVal column As Integer, ByVal row As Integer, ByVal c As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' 単一セルに背景色を設定します
    ''' </summary>
    ''' <param name="column">列</param>
    ''' <param name="row">行</param>
    ''' <param name="c">色 Integer</param>
    ''' <remarks></remarks>
    Public Overloads Sub CellBackColor(ByVal column As Integer, ByVal row As Integer, ByVal c As Integer)
    End Sub
    ''' <summary>
    ''' セル範囲に背景色を設定します
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="c">色 System.Drawing.Color</param>
    ''' <remarks></remarks>
    Public Overloads Sub RangeBackColor(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal c As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' セル範囲に背景色を設定します
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="c">色 Integer</param>
    ''' <remarks></remarks>
    Public Overloads Sub RangeBackColor(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal c As Integer)
    End Sub
    ''' <summary>
    ''' セル範囲に罫線を設定します
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="left">範囲の左側の罫線種類 -1:現状維持 0:なし(消去) 1:実線 2:破線 3:点線 4:一点鎖線 5:二点鎖線 6:太斜一点鎖線 9:二重線</param>
    ''' <param name="top">範囲の上側の罫線種類 -1:現状維持 0:なし(消去) 1:実線 2:破線 3:点線 4:一点鎖線 5:二点鎖線 6:太斜一点鎖線 9:二重線</param>
    ''' <param name="right">範囲の右側の罫線種類 -1:現状維持 0:なし(消去) 1:実線 2:破線 3:点線 4:一点鎖線 5:二点鎖線 6:太斜一点鎖線 9:二重線</param>
    ''' <param name="bottom">範囲の下側の罫線種類 -1:現状維持 0:なし(消去) 1:実線 2:破線 3:点線 4:一点鎖線 5:二点鎖線 6:太斜一点鎖線 9:二重線</param>
    ''' <param name="horizon">範囲内の行の罫線種類 -1:現状維持 0:なし(消去) 1:実線 2:破線 3:点線 4:一点鎖線 5:二点鎖線 6:太斜一点鎖線 9:二重線</param>
    ''' <param name="vertical">範囲内の列の罫線種類 -1:現状維持 0:なし(消去) 1:実線 2:破線 3:点線 4:一点鎖線 5:二点鎖線 6:太斜一点鎖線 9:二重線</param>
    ''' <remarks></remarks>
    Public Sub RangeBorder(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal left As Integer, ByVal top As Integer, ByVal right As Integer, ByVal bottom As Integer, ByVal horizon As Integer, ByVal vertical As Integer)
    End Sub
    ''' <summary>
    ''' セル範囲の罫線太さを設定します
    ''' </summary>
    ''' <param name="column1">列1</param>
    ''' <param name="row1">行1</param>
    ''' <param name="column2">列2</param>
    ''' <param name="row2">行2</param>
    ''' <param name="left">範囲の左側の罫線太さ -1:現状維持 1:極細 2:通常 3:中太 4:太</param>
    ''' <param name="top">範囲の上側の罫線太さ -1:現状維持 1:極細 2:通常 3:中太 4:太</param>
    ''' <param name="right">範囲の右側の罫線太さ -1:現状維持 1:極細 2:通常 3:中太 4:太</param>
    ''' <param name="bottom">範囲の下側の罫線太さ -1:現状維持 1:極細 2:通常 3:中太 4:太</param>
    ''' <param name="horizon">範囲内の行の罫線太さ -1:現状維持 1:極細 2:通常 3:中太 4:太</param>
    ''' <param name="vertical">範囲内の列の罫線太さ -1:現状維持 1:極細 2:通常 3:中太 4:太</param>
    ''' <remarks></remarks>
    Public Sub RangeBorderWeight(ByVal column1 As Integer, ByVal row1 As Integer, ByVal column2 As Integer, ByVal row2 As Integer, ByVal left As Integer, ByVal top As Integer, ByVal right As Integer, ByVal bottom As Integer, ByVal horizon As Integer, ByVal vertical As Integer)
    End Sub
End Class
