﻿Public Class TextLabel
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <param name="ow">親となるフォームを指定します</param>
    Public Sub New(ByVal ow As Object)
    End Sub
    ''' <summary>
    ''' 表示する文字列
    ''' </summary>
    ''' <returns>登録された文字列</returns>
    ''' <value>登録する文字列</value>
    Public Property Text() As String
        Get
            Return ""
        End Get
        Set(ByVal value As String)
        End Set
    End Property
    ''' <summary>
    ''' 表示する文字列のパディング
    ''' </summary>
    ''' <returns>セットするパディング値</returns>
    ''' <value>現在のパディング値</value>
    Public Property Padding() As System.Windows.Forms.Padding
        Get
            Return New System.Windows.Forms.Padding(0)
        End Get
        Set(ByVal value As System.Windows.Forms.Padding)
        End Set
    End Property
    ''' <summary>
    ''' 表示されるX軸の値
    ''' </summary>
    ''' <returns>セットするX軸の値</returns>
    ''' <value>現在のX軸の値</value>
    Public Property X() As Integer
        Get
            Return 0
        End Get
        Set(ByVal value As Integer)
        End Set
    End Property
    ''' <summary>
    ''' 表示されるY軸の値
    ''' </summary>
    ''' <returns>セットするY軸の値</returns>
    ''' <value>現在のY軸の値</value>
    Public Property Y() As Integer
        Get
            Return 0
        End Get
        Set(ByVal value As Integer)
        End Set
    End Property
    ''' <summary>
    ''' バックグラウンドカラー
    ''' </summary>
    ''' <returns>セットする背景色</returns>
    ''' <value>現在の背景色</value>
    Public Property BackColor() As System.Drawing.Color
        Get
            Return New System.Drawing.Color
        End Get
        Set(ByVal value As System.Drawing.Color)
        End Set
    End Property
    ''' <summary>
    ''' フォアグラウンドカラー
    ''' </summary>
    ''' <returns>セットする文字色</returns>
    ''' <value>現在の文字色</value>
    Public Property ForeColor() As System.Drawing.Color
        Get
            Return New System.Drawing.Color
        End Get
        Set(ByVal value As System.Drawing.Color)
        End Set
    End Property
    ''' <summary>
    ''' 表示します
    ''' </summary>
    Public Overloads Sub Show()
    End Sub
    ''' <summary>
    ''' 文字列を指定して表示します
    ''' </summary>
    ''' <param name="str">文字列</param>
    Public Overloads Sub Show(ByVal str As String)
    End Sub
    ''' <summary>
    ''' 表示位置と文字列を指定して表示します
    ''' </summary>
    ''' <param name="px">X座標軸の値</param>
    ''' <param name="py">Y座標軸の値</param>
    ''' <param name="str">文字列</param>
    Public Overloads Sub Show(ByVal px As Integer, ByVal py As Integer, ByVal str As String)
    End Sub
    ''' <summary>
    ''' 表示位置と文字列と背景色を指定して表示します
    ''' </summary>
    ''' <param name="px">X座標軸の値</param>
    ''' <param name="py">Y座標軸の値</param>
    ''' <param name="str">文字列</param>
    ''' <param name="bc">背景色</param>
    Public Overloads Sub Show(ByVal px As Integer, ByVal py As Integer, ByVal str As String, ByVal bc As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' 表示位置と文字列と背景色と文字色を指定して表示します
    ''' </summary>
    ''' <param name="px">X座標軸の値</param>
    ''' <param name="py">Y座標軸の値</param>
    ''' <param name="str">文字列</param>
    ''' <param name="bc">背景色</param>
    ''' <param name="fc">文字色</param>
    Public Overloads Sub Show(ByVal px As Integer, ByVal py As Integer, ByVal str As String, ByVal bc As System.Drawing.Color, ByVal fc As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' 文字列と背景色を指定して表示します
    ''' </summary>
    ''' <param name="str">文字列</param>
    ''' <param name="bc">背景色</param>
    Public Overloads Sub Show(ByVal str As String, ByVal bc As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' 文字列と背景色と文字色を指定して表示します
    ''' </summary>
    ''' <param name="str">文字列</param>
    ''' <param name="bc">背景色</param>
    ''' <param name="fc">文字色</param>
    Public Overloads Sub Show(ByVal str As String, ByVal bc As System.Drawing.Color, ByVal fc As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' 背景色を指定して表示します
    ''' </summary>
    ''' <param name="bc">背景色</param>
    Public Overloads Sub Show(ByVal bc As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' 背景色と文字色を指定して表示します
    ''' </summary>
    ''' <param name="bc">背景色</param>
    ''' <param name="fc">文字色</param>
    Public Overloads Sub Show(ByVal bc As System.Drawing.Color, ByVal fc As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' 表示位置と文字列を指定して表示します
    ''' </summary>
    ''' <param name="p">表示位置</param>
    ''' <param name="str">文字列</param>
    Public Overloads Sub Show(ByVal p As System.Drawing.Point, ByVal str As String)
    End Sub
    ''' <summary>
    ''' 表示位置と文字列と背景色を指定して表示します
    ''' </summary>
    ''' <param name="p">表示位置</param>
    ''' <param name="str">文字列</param>
    ''' <param name="bc">背景色</param>
    Public Overloads Sub Show(ByVal p As System.Drawing.Point, ByVal str As String, ByVal bc As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' 表示位置と文字列と背景色と文字色を指定して表示します
    ''' </summary>
    ''' <param name="p">表示位置</param>
    ''' <param name="str">文字列</param>
    ''' <param name="bc">背景色</param>
    ''' <param name="fc">文字色</param>
    Public Overloads Sub Show(ByVal p As System.Drawing.Point, ByVal str As String, ByVal bc As System.Drawing.Color, ByVal fc As System.Drawing.Color)
    End Sub
    ''' <summary>
    ''' リソースを解放します
    ''' </summary>
    Public Sub Dispose()
    End Sub
    ''' <summary>
    ''' 非表示にします
    ''' </summary>
    Public Sub hide()
    End Sub
End Class
